RagTimeTextInternal::State Struct Reference

Internal: the state of a RagTimeText. More...

## Public Member Functions

| State ()
| constructor
int | getFontId (int localId) const
| return a mac font id corresponding to a local id

## Public Attributes

int | m_version
| the file version
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId
std::vector< MWAWFont > | m_charPropList
| the character properties
std::map< int, std::shared_ptr< TextZone > > | m_idTextMap
| a map entry id to text zone

## Detailed Description

Internal: the state of a RagTimeText.

## Constructor & Destructor Documentation

## State()

RagTimeTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getFontId()

int RagTimeTextInternal::State::getFontId | ( | int | localId | ) | const

inline

return a mac font id corresponding to a local id

## Member Data Documentation

## m_charPropList

std::vector<MWAWFont> RagTimeTextInternal::State::m_charPropList

the character properties

Referenced by State().

## m_idTextMap

std::map<int, std::shared_ptr<TextZone> > RagTimeTextInternal::State::m_idTextMap

a map entry id to text zone

Referenced by State().

## m_localFIdMap

std::map<int, int> RagTimeTextInternal::State::m_localFIdMap

a map local fontId->fontId

Referenced by getFontId(), and State().

## m_version

int RagTimeTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTimeText.cxx